# Functions for manipulating $PATH. Split out so I can use them in .zshenv if I want.

function insert_path_element() {
  insert_element_into_var $1 PATH
}

function remove_path_element() {
  remove_path_element $1 PATH
}

function insert_element_into_var () {
  eval varcontents=\$"$2"
  eval varname="$2"
  newcomp="$1"
  if echo "$varcontents" | grep "$newcomp:" >> /dev/null; then
    true
  elif [[ "$varcontents" == "" ]] ; then
    export $varname="$newcomp"
  else
    export $varname="$newcomp:$varcontents"
  fi
}

function remove_element_from_var() {
  eval varcontents=\$"$2"
  eval varname="$2"
  newcomp="$1"
  if echo "$varcontents" | grep "$newcomp:" >> /dev/null; then
    export $varname="`echo $varcontents | sed s%$newcomp:%%`"
  elif [[ "$varcontents" == "$newcomp" ]] ; then
    unset $varname
  else
    echo $1 not in $varname
  fi
}
